import { Saga } from "redux-saga";
import { Reducer } from "typesafe-actions";
export * from "./errors";
export declare function init(reducers?: {
    [index: string]: Reducer<any, any>;
}, sagas?: Saga[]): import("redux").Store<{
    "@hiro-ui": {
        auth: any;
        error: any;
    };
}, import("redux").AnyAction>;
